// creator  : weidu.exe (version 23600)
// argument : TARNES.DLG
// game     : .
// source   : ./override/TARNES.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~TARNES~

IF ~  True()
~ THEN BEGIN 0 // from:
  SAY #17882 /* ~Hi, friend. I've not seen you here before today. What brings you to the Friendly Arm?~ */
  IF ~~ THEN REPLY #17883 /* ~Nothing much, really. Just road-worn travelers, looking for a place to rest.~ */ GOTO 1
  IF ~~ THEN REPLY #17884 /* ~I am here to meet some friends.~ */ GOTO 5
  IF ~~ THEN REPLY #17885 /* ~I'm not your friend and my business is my own.~ */ GOTO 7
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #17886 /* ~I see, I see. Pardon my being too forward, but you've the bearing of someone I've been looking for. About your height, they were. Same style of dress, or thereabouts. I daresay, you seem to be the spitting image of them. Might you have traveled from Candlekeep, by any chance?~ */
  IF ~~ THEN REPLY #17888 /* ~Actually yes! I was there until quite recently.~ */ GOTO 2
  IF ~~ THEN REPLY #17889 /* ~I may have visited there on occasion. What of it?~ */ GOTO 8
  IF ~~ THEN REPLY #17890 /* ~Candlekeep? Never heard of it.~ */ GOTO 4
  IF ~Global("X#AjantisTarnesh","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisTarnesh","GLOBAL",1)~ EXTERN ~AJANTJ~ 51
END

IF ~~ THEN BEGIN 2 // from: 9.0 1.0
  SAY #17891 /* ~Well, that just about clinches it then. By any wild stretch of the imagination would your name happen to be <CHARNAME>?~ */
  IF ~~ THEN REPLY #17892 /* ~Why yes, good sir, that is my name. It would seem that I am the one you have been looking for.~ */ GOTO 3
  IF ~~ THEN REPLY #17893 /* ~Never heard that name before in my life. Sorry.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #17894 /* ~Yes, yes it would. In that case, don't move. I have something for you.~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #27467 /* ~Another Assassination Attempt
Another stranger tried to kill me today, this time at the Friendly Arm Inn. Who keeps sending these assassins?~ */ EXIT
END

IF ~~ THEN BEGIN 4 // from: 9.2 8.1 5.1 2.1 1.2
  SAY #17895 /* ~Really? I would beg to differ. You fit the description, so I think it would be safe to assume you are the one I seek. Don't move. I have something for you.~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #27467 /* ~Another Assassination Attempt
Another stranger tried to kill me today, this time at the Friendly Arm Inn. Who keeps sending these assassins?~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.1
  SAY #17896 /* ~Oh, you must be whom I am to meet then. I will take you to your friends, but first I should be sure you are the correct person. Is your name <CHARNAME>?~ */
  IF ~~ THEN REPLY #17897 /* ~Why, yes it is.~ */ GOTO 6
  IF ~~ THEN REPLY #17898 /* ~Sorry, but no. I don't think you're the person I'm supposed to meet.~ */ GOTO 4
END

IF ~~ THEN BEGIN 6 // from: 8.0 5.0
  SAY #17899 /* ~Perfect. You are indeed the person I seek. Hold still a moment, won't you?~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #27467 /* ~Another Assassination Attempt
Another stranger tried to kill me today, this time at the Friendly Arm Inn. Who keeps sending these assassins?~ */ EXIT
END

IF ~~ THEN BEGIN 7 // from: 0.2
  SAY #17900 /* ~How rude. No really, that is utterly rude of you. I'd teach you a lesson about manners, but that implies that you are going to live. If I weren't going to anyway, I'd kill you just for being so uppity.~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #27467 /* ~Another Assassination Attempt
Another stranger tried to kill me today, this time at the Friendly Arm Inn. Who keeps sending these assassins?~ */ EXIT
END

IF ~~ THEN BEGIN 8 // from: 9.1 1.1
  SAY #17901 /* ~Oh, nothing really. I'm just looking for someone from that region. Would your name be <CHARNAME>, by any chance?~ */
  IF ~~ THEN REPLY #17902 /* ~Why, yes it is.~ */ GOTO 6
  IF ~~ THEN REPLY #17903 /* ~Never heard that name before in my life. Sorry.~ */ GOTO 4
END

IF ~~ THEN BEGIN 9 // from:
  SAY #46082 /* ~Forgive me, then. I am looking for someone.~ */
  IF ~~ THEN REPLY #17888 /* ~Actually yes! I was there until quite recently.~ */ GOTO 2
  IF ~~ THEN REPLY #17889 /* ~I may have visited there on occasion. What of it?~ */ GOTO 8
  IF ~~ THEN REPLY #17890 /* ~Candlekeep? Never heard of it.~ */ GOTO 4
END
